package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 电子验收配置 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkDzysEmployeesignaturestatusService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkDzysEmployeesignaturestatus(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDzysEmployeesignaturestatusMapper.addSKcCrkDzysEmployeesignaturestatus", pd);
    }

    public List<PageData> findSKcCrkDzysEmployeesignaturestatusList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkDzysEmployeesignaturestatusMapper.selectSKcCrkDzysEmployeesignaturestatusList", pd);
    }

    public Integer SKcCrkDzysEmployeesignaturestatusRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkDzysEmployeesignaturestatusMapper.SKcCrkDzysEmployeesignaturestatusRemove", pd);
    }


    public Integer updateSKcCrkDzysEmployeesignaturestatus(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkDzysEmployeesignaturestatusMapper.updateSKcCrkDzysEmployeesignaturestatus", pd);
    }

}
